XMLWriter::startDTDEntity
XMLWriter::startElementNS
XMLWriter Functions
PHP Manual

# XMLWriter::startDTD

(No version information available, might be only in CVS)

XMLWriter::startDTD — Create start DTD tag

### Description

Object oriented style:

XMLWriter
bool startDTD ( string `$qualifiedName` [, string `$publicId` [, string `$systemId` ]] )

Procedural style:

bool xmlwriter_start_dtd ( resource `$xmlwriter` , string `$qualifiedName` [, string `$publicId` [, string `$systemId` ]] )

Starts a DTD.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`qualifiedName`

  The qualified name of the document type to create.

`publicId`

  The external subset public identifier.

`systemId`

  The external subset system identifier.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::endDTD
- XMLWriter::writeDTD

XMLWriter::startDTDEntity
XMLWriter::startElementNS
XMLWriter Functions
PHP Manual